%  Modelit Mapviewer Toolbox   
%  Version 2.0.0 (9.14.0.2206163 (R2023a)) 24-Mar-2023   
%  CallbackChain                             - Add an extra callback to an object. This is for example   
%                                            - useful in combination with zoomtool   
%  modelit.ui.AbstractJacontrol              - BaseClass for modelit.ui.Jacontrol.   
%  modelit.ui.Empty                          - Modelit.ui.Jacontrol placeholder   
%  modelit.ui.Jacontrol                      - Base class for all java components.   
%  modelit.ui.ProgressBar                    - A progressbar typically communicates the progress of some work   
%                                            - by displaying its percentage of completion and possibly a textual display of this percentage.   
%                                            - To indicate that a task of unknown length is executing, the progressbar can be put into indeterminate mode.   
%                                            - While the bar is in indeterminate mode, it animates constantly to show that work is occurring.   
%  do_jacontrol                              - Identical to jactontrol   
%  Frame                                     - Container with a layout manager.   
%  modelit.layout.AbstractPainter            - An abstract painter. To be used as a decorator for modelit.layout.Frame   
%  modelit.layout.Background                 - Background of a modelit.layout.Frame   
%  modelit.layout.LineBorder                 - Border with a line for a modelit.layout.Frame   
%  modelit.layout.Node                       - A node in a tree data structure.   
%                                            - A node may have at most one parent and zero or more children.   
%                                            - A node with no parent is the root of its tree; a node with no children is a leaf.   
%  modelit.layout.Title                      - A title for a modelit.layout.Frame   
%  lm_arrange                                - Arrange uicontrol objects in rows and columns   
%  lm_createframe                            - Maak een lm_resize frame aan   
%  lm_deleteframe                            - Delete frame and all dependent items.   
%  lm_exitbutton                             - Add exit button to frame. By default this button is   
%                                            - placed in the upper right corner of a frame.   
%  lm_find                                   - Return handle of frame with specific tag   
%  lm_get                                    - Helper for migration to new layout manager   
%  lm_initaxes                               - Initialize pixel axes for this window. The pixel   
%                                            - axes is used by the Modelit Layout manager to position handle graphics   
%                                            - objects that normally do not appear outside an axes, like line, text and   
%                                            - patch objects.   
%  lm_innerpixelsize                         - Change pixelsize property of frame based on size of   
%                                            - its content   
%  lm_linkobj                                - Add a component to a modelit.layout.Frame (legacy syntax)   
%  lm_patchprops                             - Default line options for frame background (patch)   
%  lm_resize                                 - Resize the figure and position all the objects it contains   
%  lm_set                                    - Change property of individual object after properties for a   
%                                            - group have been set lm_link_obj.   
%  addprefModelit                            - Create a preference specified by group and pref.   
%  compressPref                              - CompressPref is a function.   
%                                            - pref = compressPref(pref)   
%  getprefModelit                            - Get the preference for the specified group and pref.   
%  isprefModelit                             - WIJZ ZIJPP 20100415   
%                                            - This file was modified to obtain a more robust behaviour in compiled mode   
%                                            - Preference files are now stored in local directory (pwd)   
%                                            - File is identical to "ispref" but all calls to "prefutils" are replaced by   
%                                            - calls to "prefutilsModelit"   
%  prefutilsModelit                          - Identical to prefultils but retrieve preference files from pwd   
%                                            - location in compiled mode.   
%  rootpath                                  - Expand filename with path of (read only) directory that holds   
%                                            - compiled matlab executable (in deployed mode), or invariant   
%                                            - (in non deployed mode).   
%                                            - This function is intended to allow running a compiled   
%                                            - application while "pwd" is unequal to fileparts(applic.exe).   
%                                            - Usually exeroot will be read only.   
%  setprefModelit                            - WIJZ ZIJPP 20100415   
%                                            - This file was modified to obtain a more robust behaviour in compiled mode   
%                                            - Preference files are now stored in local directory (pwd)   
%                                            - File is identical to "setpref" but all calls to "prefutils" are replaced by   
%                                            - calls to "prefutilsModelit"   
%  RD2WGS                                    - convert RD coordinate to WG84 coordinate, truncate if needed   
%  WGS2RD                                    - convert RD coordinate to WG84 coordinate, truncate if needed   
%  assertm                                   - Check condition. If false call error(msg)   
%  ax_limits                                 - Get limits for one or more x or y axes, limits are the lowest   
%                                            - and highest value of all axes.   
%  boxIntersect                              - boxIntersect, compute the intersection of two boxes   
%  boxToPatch                                - Convert box [xmin xmax ymin ymax] to a patch data structure   
%  boxToRect                                 - boxToRect, convert box [xmin xmax ymin ymax] to rectangle [left bottom width height]   
%  cell2str                                  - Convert cell array to a string.   
%  centimeters2pixels                        - Short hand for converting centimeters to pixels.   
%  chararray2char                            - Convert char array to string.   
%  combvec1                                  - COMBVEC Create all combinations of vectors.   
%  compressutil                              - In memory compression utility.   
%  copystructure                             - Kopieer inhoud van de ene naar de andere structure,   
%                                            - maar houd oorspronkelijke volgorde van velden vast.   
%                                            - Indien nodig worden nieuwe velden toegevoegd   
%  date_ax                                   - Supply a number of axes with date ticks   
%  datenum2java                              - Convert Matlab datenum to Java date   
%  datestr_local                             - Localized date string   
%  datetick_eu                               - Display dateticks  in eu style   
%                                            - MOFDIFIED 18 Dec 2000 by Nanne van der Zijpp, for application in Matlab V6   
%                                            - Suppress warnings   
%                                            - WYZ May 2004: use newer datetick as a base file   
%                                            - WYZ May 2006: use newer datetick as a base file (Matlab R2006a)   
%                                            - Look for PATCHMODELIT to find applied changes   
%  debugline                                 - Print debug info on console   
%  decomment_line                            - Remove comment from separate line   
%  defaultConstants                          - Define gui constants.   
%  defaultpathNew                            - Store or retrieve default path   
%                                            - NOTE: this module replaces defaultpath   
%  deletefile                                - Delete file using java method.   
%  deserialize                               - Convert a serialized Matlab variable to its original form.   
%  deserialize_v2                            - Deserialize Matlab variable, without writing to disk.   
%  getCode                                   - Get code of subfunction in an .m file.   
%  dprintf                                   - Shortcut for disp(sprintf(formatstr,arg1,arg2,...))   
%  modelit.web.client.HttpRequest            - Create an HttpRequest.   
%  modelit.web.client.HttpResponse           - An HttpResponse object contains the data returned from the server.   
%                                            - After a HttpRequest was sent it also contains the response headers and statuscodes.   
%  modelit.web.concurrent.Callable           - Abstract class for encapsulating a java object which implements the Callable interface.   
%  modelit.web.concurrent.ThreadPoolExecutor - Construct a pool with tasks to be executed by one or more threads. Tasks are taken from the pool depending on   
%                                            - the number of threads. And are asynchronously executed. The tasks that   
%                                            - can be added to the pool must be of type modelit.web.concurrent.Callable   
%  headers2Map                               - Convert Http headers Java hashMap to a Matlab Map.   
%  emptystruct                               - Create empty structure with specified fields. superseeds "empty"   
%  extensie                                  - Verify extension, append extension if needed   
%  gch                                       - Find uicontrol handles with specified tags   
%  getDefaultConfig                          - GetDefaultConfig is a function.   
%                                            - C = getDefaultConfig   
%  getDefaultFont                            - Get default matlab font voor uicontrols.   
%  getFigureClientBase                       - Get FigureClientBase object for specified figure   
%  getMatlabVersion                          - Retrieve Matlab version as numeric constant.   
%  getRoot                                   - Get root of current directory.   
%  getRootPane                               - Fet RootPane for specified figure   
%  getSystemColor                            - GetSystemColor is a function.   
%                                            - c = getSystemColor(key, default)   
%  get_default_path                          - Return default path for defaultPathNew   
%  getcdata                                  - To generate:   
%                                            - Make sure to run Matlab 2013a or newer:   
%                                            - getcdata([],[],'h:\d\modelit\ma\mbdutils\images\modelitcdt\modelit.cdt','h:\d\modelit\ma\mbdutils\images\modelitcdt\')   
%                                            - Copy modelit.cdt to destination directory.   
%                                            - Use (for example) Greenfish Icon Editor to edit icon files   
%  getproperty                               - Return matching char string from cell array of keywords   
%  getuicpos                                 - Haal de extent van een object op inclusief randen van een frame   
%  hex2byte                                  - Convert hexadecimal string to byte.   
%  inches2pixels                             - Short hand for converting inches to pixels.   
%  isPointInsideBox                          - isPointInsideBox, determine if points are inside or on the edge of a box [xmin xmax ymin ymax].   
%  isPointInsideRect                         - isPointInsideRect, determine if points are inside or on the edge of a rectangle [left bottom width height].   
%  isRectInsideRect                          - isRectInsideRect, determine if rect1 is inside or on boundary of rect2.   
%  is_eq                                     - Verify if argument pairs are equal.   
%  istableformat                             - Check if S can be considered as a table structure   
%  javacolor2rgb                             - Convert Java color to Matlab color triple.   
%  modelit.mapviewer.AbstractTileSource      - modelit.mapviewer.AbstractTileSource/AbstractTileSource is a constructor.   
%                                            - obj = modelit.mapviewer.AbstractTileSource   
%  modelit.mapviewer.Cache                   - Cache to store items retrieved with the   
%                                            - modelit.concurrent.ThreadPoolExecutor.   
%  modelit.mapviewer.CacheItem               - An item that can be stored in a modelit.mapviewer.Cache.   
%  modelit.mapviewer.DiskCache               - Cache to store items retrieved with the modelit.concurrent.ThreadPoolExecutor on disk.   
%  modelit.mapviewer.MapViewer               - A panel with a map generated from a tile source.   
%  modelit.mapviewer.MemoryCache             - Cache to store items retrieved with the   
%                                            - modelit.concurrent.ThreadPoolExecutor.   
%  modelit.mapviewer.RDTileSource            - modelit.mapviewer.RDTileSource constructor.   
%  modelit.mapviewer.Tile                    - modelit.mapviewer.Tile constructor   
%  modelit.mapviewer.TileSourceFactory       - modelit.mapviewer.TileSourceFactory/TileSourceFactory is a constructor.   
%                                            - obj = modelit.mapviewer.TileSourceFactory   
%  modelit.mapviewer.ViewPortChangedData     - modelit.mapviewer.ViewPortChangedData constructor.   
%  modelit.mapviewer.WGS84TileSource         - modelit.mapviewer.WGS84TileSource constructor.   
%  WMTS_example                              - Open a new figure on monitor 2:   
%  matlab2javadateformat                     - Convert string with matlab dateformat to a java   
%                                            - dateformat, mainly to use with tables.   
%  movegui_align                             - Similar to MOVEGUI but position figure relative to other   
%                                            - figure instead of position on screen. Treat other window as   
%                                            - scree area   
%                                            - CALL   
%                                            - movegui_align(fig,hrelfig,position)   
%  moveonscreen                              - Work around for Matlab bug in Matlab 2013a (multimonitor display not   
%                                            - detected)   
%  msg_temp                                  - Display message that goes away after a few seconds   
%  multiwaitbar                              - Plot one or more waitbars in a unique figure   
%  retrieve                                  - Retrieve undoredo object using specified name "dbname"   
%  rmfield                                   - NOTE ZIJPP 20110313   
%                                            - files that are part of Matlab Distribution is   
%                                            - not acceptable, as this implies ignoring any future Matlab upgrade.   
%                                            - As a compromise this file is placed in:   
%                                            - h:\d\modelit\ma\MBDutils\newmfiles\2020\rmfield.m   
%  offon                                     - Replace 0 with 'off' and 1 with 'on'   
%  pixels2centimeters                        - Short hand for converting pixels to centimeters.   
%  pixels2inches                             - Short hand for converting pixels to inches.   
%  pixels2points                             - Short hand for converting pixels to points.   
%  pointInBox                                - Determine if points lie inside or on the boundary of a box   
%  pointInRectangle                          - Determine if points lie inside or on the boundary of a rectangle   
%  points2pixels                             - Short hand for converting points to pixels.   
%  pshape                                    - Provide cursor for used in zoomtool   
%  putfile                                   - Return file with specific extension from default directory   
%  rbline                                    - select range than execute Commanstr   
%  readstr                                   - Read character array from file.   
%  real2str                                  - Print real data in columns.   
%  rectIntersect                             - Compute the intersection of two rectangles   
%  rectToBox                                 - Convert rectangle [left bottom width height] to box [xmin xmax ymin ymax]   
%  rectToPatch                               - Convert rectangle to a patch data structure   
%  rectToVertices                            - rectToVertices, get the coordinates of the corners of a rectangle [left bottom width height].   
%  rgb2javacolor                             - Convert Matlab rgb triple to a java color.   
%  serialize                                 - Serialize a Matlab variable.   
%  serialize_v2                              - Serialize Matlab variable, without writing to disk.   
%  setMouseWheel                             - Set callback for mouseWheel for figure   
%  set_erasemode                             - Set erasemode on hg object. Do nothing if version is   
%                                            - R2016a or later. Erasemode was removed by Matlab in R2016a.   
%  set_hittest                               - Matlab-version-independend way to disable hittest.   
%  set_resizefcn                             - Set the resize function for a figure.   
%                                            - The property name for the resize function has changed in R2016a.   
%  slashpad                                  - Complement path with filesep symbol   
%  stopwaitbar                               - Return false if waitbar has been removed or stopped   
%  str2fieldname                             - Convert string to fieldname that can be used in Matlab structure   
%  stringheight                              - Determine width and height of a string in pixels for a specific font.   
%  NaN2number                                - CALL:   
%                                            - T1 = NaN2number(T1)   
%                                            - T1 = NaN2number(T1,keys1)   
%                                            - [T1,T2] = NaN2number(T1,T2,keys1,keys2)   
%  column2uint32                             - Replace elements with unique numeric tag (of type uint32)   
%  structarray2table                         - Convert array of structures to stucture of arrays   
%                                            - (table)   
%  table2uint32                              - Replace table cells with numeric values.   
%  tableConvertEmpty                         - Verify that table with no columns is defined   
%                                            - correctly   
%  table_ismember                            - function [tf,f]=table_ismember(table1,table2,keys1,keys2,NaNisequal)   
%                                            - find location of rows of table1 in rows of table2   
%  tableheight                               - Get height (number of rows) of a table.   
%  testmatfile                               - provide name for file with testdata   
%  toStr                                     - Convert object to string representation.   
%  truecolor                                 - Maak een Matlab truecolor map uit een lineaire   
%                                            - color map.   
%                                            - CALL:   
%                                            - cdata = truecolor(x,map)   
%  urlencode_utf                             - Exact copy of \toolbox\matlab\codetools\urlencode.m.   
%  utilspath                                 - Return string containing path to utils directory   
%  varargin2struct                           - Convert parameter-value combinations to structure   
%  varargin2struct_selected                  - Similar to varargin2struct, but ignore invalid   
%                                            - parameters   
%  vararginSubset                            - Split argument list in two groups.   
%  waitforwarndlg                            - Shortcut code for modal warning dialog   
%  zoomtool                                  - Install Modelit zoomtool.   
   
   
% © Modelit 2006-2023   
% Matlab release: 2023a   
% Date: 2023/03/24 15:18:56   
