%  Frame - Container with a layout manager.   
%   
%  modelit.layout.Frame Properties:   
%    outborderpos    - The outer limits of this Frame.   
%    active          - Visibility of this frame.   
%    backgroundcolor - The background of the frame.   
%    painter         - A background painter.   
%    border          - The frame's border.   
%    clipframe       - The clipframe.   
%    enable          - The enable status of this frame.   
%    maxpixelsize    - Maximum pixelsize of this frame.   
%    minmarges       - Margin in pixels for this frame [LEFT LOWER RIGHT UPPER].   
%    normposition    - Normalized position of the root frame [x y width height].   
%    normsize        - Normalized size of the frame.   
%    pixelposition   - Pixelposition of the root frame [x y width height].   
%    pixelsize       - Size of the frame in pixels.   
%    splithor        - Orientation of this frame.   
%    tag             - String with user specified object identifier.   
%    title           - Frame title.   
%    userdata        - User specified data for this frame.   
%    exitfunction    - Function that is called when frame becomes inactive.   
%    lineprops       - Property of line, if used as border.   
%    patchprops      - Property of background patch.   
%    clipping        - The clipping mode.   
%    allowsChildren  - True if the node is able to have children.   
%    parent          - This node's parent, or empty if this node has no parent.   
%    rank            - Relative position of the node.   
%    children        - (Read only) Array of children,   
%    signature       - (Read only) Unique numeric signature (within objects of class Node)   
%   
%  modelit.layout.Frame Methods:   
%    Frame                     - modelit.layout.Frame constructor   
%    splitFrame                - Calculate position of frame.   
%    removeComponents          - Removes all components in this frame.   
%    remove                    - Remove this frame from the tree.   
%    getComponentCount         - Returns the number of components in this frame.   
%    getComponents             - Returns this frame's components.   
%    stackdisp                 - Show debug information on the console.   
%    ancestor                  - Returns the handle of the closest ancestor of the frame   
%    getappdata                - Get application data of this frame.   
%    setappdata                - Set application data of this frame.   
%    innerMargins              - Calculate inner margins.   
%    innerBorders              - Calculate the inner border.   
%    addComponent              - Add a component to a modelit.layout.Frame   
%    getClipRectangle          - Compute the clipping rectangle.   
%    initializeTreetopsNew     - Initialise de variabele 'inborderpos' voor de frames die geen parent hebben   
%    initializeTreetops        - Initialise the property 'inborderpos' for frames without a parent.   
%    hide                      - Hide all components and decorators of this frame   
%    plotFrame                 - Position and plot all components in this frame.   
%    splitFrameFast            - Calculate position of frame.   
%    pixelsizeFast             - to be documented   
%    impliedpixelsize          - to be documented   
%    updateHgProps             - Update handle graphics properties of object and frame   
%    isActivenode              - Determines if this node is active.   
%    removeAll                 - Removes all components in this frame   
%    find                      - (Static) Find a Frame with the specified tag   
%    storeTree                 - (Static) Stores the tree (root node) in the specified figure   
%    retrieveTree              - (Static) Retrieves the tree (root node) from the specified figure   
%    lm_get                    - Helper for migration to new layout manager   
%    lm_set                    - Helper for migration to new layout manager   
%    getPathToRoot             - Builds the parents of node up to and including the root node, where the original node is the last element in the returned array.   
%    getLevel                  - Returns the number of levels above this node, i.e. the distance from the root to this node.   
%    getDepthFirstList         - Creates a list on nodes in depth-first order for the subtree starting at the specified node.   
%    getBreadthFirstList       - Creates a list on nodes in breadth-first order for the subtree starting at the specified node.   
%    isactivenode              - Determines if this node is active.   
%    getBreadthFirstListActive - Create list of active frames only, see getBreadthFirstList.   
%    getPreviousSibling        - Returns the previous sibling of this node.   
%    getNextSibling            - Returns the next sibling of this node.   
%    getSiblings               - Gets the siblings (nodes with the same parent) of this node.   
%    removeAllChildren         - Removes all of this node's children.   
%    isRoot                    - Returns true if this node is the root of the tree.   
%    isLeaf                    - Returns true if this node is a leaf.   
%    getRoot                   - Returns the root of this node.   
%    getIndex                  - Returns the index of this node in its parent's children.   
%    getChildCount             - Returns the number of children of this node.   
%    getChildAt                - Returns the child of obj at index childIndex.   
%    getSortedChildren         - Returns the childs in sorted order.   
%    eq                        - Returns the objects whose property values match those passed as param-value pairs to the findobj command.   
%    findobj                   - Returns the objects whose property values match those passed as param-value pairs to the findobj command.   
%    ismember                  - Each node has its own unique numeric signature   
%    double                    -   
%    add                       - Removes newChild from its parent and makes it a child of this node by adding it to the end of this node's child array.   
%    Documentation for Frame   
%       doc Frame   
   
   
% © Modelit 2006-2023   
% Matlab release: 2023a   
% Date: 2023/03/24 15:18:56   
