%  CallbackChain - Add an extra callback to an object. This is for example   
%  useful in combination with zoomtool   
%   
%  CALL:   
%     CallbackChain(obj, field, callback, priority)   
%   
%  INPUT:   
%     obj:   
%         handle of object to which an extra callback has to be added.   
%     field:   
%         string with fieldname of callback, e.g. 'keypressfcn'.   
%     callback:   
%         Any valid callback, that is:   
%             String (for eval)   
%             Function pointer (for feval)   
%             Cell array, where element 1 is function pointer   
%   
%     priority:   
%         'first', {'last'}, 'drop'   
%         if 'first' put this callback first in the chain.   
%         if 'last' put this callback last in the chain.   
%         if 'drop' (Not implemented yet!!)  find callback function with   
%         specific signature and if present, remove it from the callback   
%         chain.   
%   
%  OUTPUT:   
%     no direct output   
%   
%  EXAMPLE 1:   
   
   
% © Modelit 2006-2023   
% Matlab release: 2023a   
% Date: 2023/03/24 15:18:56   
