%  defaultpathNew - store or retrieve default path   
%  NOTE: this module replaces defaultpath   
%   
%  CALL:   
%      Retrieve path or history:   
%          [NewPath]=defaultpathNew(tag)   
%          [NewPath,Pathlist]=defaultpathNew(tag)   
%      Set path and history:   
%          defaultpathNew(tag,NewPath)   
%          [NewPath]=defaultpathNew(tag,NewPath)   
%          [NewPath,Pathlist]=defaultpathNew(tag,NewPath)   
%   
%  INPUT:   
%      tag: integer of char string identifier (deafults to 1).   
%      NewPath: path history   
%            if no input, path will be retrieved from preference settings   
%            if setting does not exist, default path = pwd/data   
%            if directory pwd/data does not exist default path =defaultPath   
%      defaultPath (optioneel) default: pwd   
%   
%  OUTPUT:   
%      NewPath: preferred path (existence has been checked)   
%      Pathlist:   
%          history of last 25 selected paths (existence has been checked   
%  NOTE:   
%      The path returned by defaultpath includes the filesep sign!!   
%   
%   
%  See also:   
%      mbdparse   
%      www.modelit.nl/modelit/matlabnotes/mbdparse-dropdown.pdf   
   
   
% © Modelit 2006-2023   
% Matlab release: 2023a   
% Date: 2023/03/24 15:18:56   
